package controller

import (
	"narasi-ahli-be/app/module/articles/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	Articles ArticlesController
}

func NewController(ArticlesService service.ArticlesService, log zerolog.Logger) *Controller {
	return &Controller{
		Articles: NewArticlesController(ArticlesService, log),
	}
}
